In Browserwidget, Geonode connections show a (root) layer, but cannot be added

2017-11-28 02:01 PM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee:

Category: Data Source Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25469

Description

In master, I add one of the example GeoNode instances from geonode.org:

http://geonode.state.gov/

Then opening it, I see two 'layers'? Which appear as a WFS and WMS layer, but clicking on them does not load anything.

I think this has to do with the fact that those 'root' layers are always added, but apparently no (real) child layers are available (though in the

case of state.gov there are some wms/wfs layer available).

An option could be to show an 'inactive' icon, IF we know those are empty nodes?

Or show no nodes at all?

History

#1 - 2019-03-09 04:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

#2 - 2019-03-10 08:25 PM - Richard Duivenvoorde

- Status changed from Feedback to Closed

Works now
